#ifndef GRAPHICS_HPP
#define GRAPHICS_HPP

#include <iostream>
#include <boost/foreach.hpp>
#define foreach BOOST_FOREACH

#include "SDL/SDL.h"
#include "SDL/SDL_opengl.h"

#include "font.hpp"
#include "pixelloader.hpp"

const int SCREEN_WIDTH = 640;
const int SCREEN_HEIGHT = 480;
const int SCREEN_BPP = 32;

class GraphicsEngine {
public:
  FontRenderer* fontrenderer;
  PixelLoader* tiles;
  PixelLoader* sprites;
  void flip();
  GraphicsEngine();
  ~GraphicsEngine();
  int resizeWindow( int width, int height );
private:
  void initGL();
  SDL_Surface* screen;
};

#endif /* GRAPHICS_HPP */
