#include "intropart.hpp"
#include "mainpart.hpp"
#include "gamestrings.hpp"

void IntroPart::reset()
{
  state->gstimer=0;
}

IntroPart::IntroPart(const SubengineInterface* subengines, Global_Variables* p_global_variables):
EnginePart(subengines),
state(new Intro_State),
global_variables(p_global_variables)
{
};

IntroPart::~IntroPart()
{
  delete state;
}

int IntroPart::input(const SDL_Event& event)
{
  if( event.type == SDL_KEYDOWN )
  {
    switch( event.key.keysym.sym )
    {
      case SDLK_ESCAPE:
        return 1;
        break;
     /* case SDLK_SPACE:
        if (state->gstimer<200)
          state->gstimer=200;
        else
        {
          return 1;
        }*/
      default:
        break;
    }
  }

  if( event.type == SDL_QUIT )
  {
    return -1;
  }

  return 0;
}

int IntroPart::logic()
{
  state->gstimer++;

		if (state->gstimer>=150)
      return 1;
    else
      return 0;
}

void IntroPart::draw()
{

    glLoadIdentity();
    glScalef(0.04,0.04,0.04);
    static float theta=0;;
    theta+=0.5f;
    if (state->gstimer<100)
    {
        glRotatef(theta,1,0,0);
    }

        graphicsengine->fontrenderer->glPrint(-140, 0, "increpare presents",(state->gstimer<100?0.5f*((float)state->gstimer/100.0f):0.2f));

//		graphicsengine->fontrenderer->glPrint(100,300,titledialog[0][0].c_str(),0);
}
