#ifndef MAINPART_HPP
#define MAINPART_HPP

#include "Engine/engine.hpp"
#include "globals.hpp"

#include "entities.hpp"
#include <vector>

using namespace std;



class MainPart: public EnginePart {
public:
  void reset();
  void loadmap(int i);
  MainPart(const SubengineInterface* subengines, Global_Variables* p_global_variables);
  ~MainPart();
protected:
  int input(const SDL_Event& event);
  int logic();
  void draw();
private:
  GLuint maplist;
  int heartcount;
  vector<Entity*> entities;
  vector<Platform*> platforms;
  vector<Heart*> hearts;
  vector<Spikes*> spikes;
  bool ending;
  int endingtimer;
  Player* player[2];
  bool moving[2][4];
  float rotatex;
  float rotatey;
  float rotatez;
  float translatex;
  float translatey;
  float translatez;
  float scale;
  Map map;
  int start1x;
  int start1y;
  int start2x;
  int start2y;
  Platform* platformon[2];
  Global_Variables* global_variables;
};

#endif /* MAINPART_HPP */
