#include "titlepart.hpp"
#include "mainpart.hpp"
#include "gamestrings.hpp"

void TitlePart::reset()
{
    state->intstate=0;
}

TitlePart::TitlePart(const SubengineInterface* subengines, Global_Variables* p_global_variables):
EnginePart(subengines),
global_variables(p_global_variables),
rotatex(0),
rotatey(0),
rotatez(0),
slide(0),
state(new Title_State)
{
      soundengine->streamtrack("audio/level6.mp3");
}

TitlePart::~TitlePart()
{
  delete state;
}

int TitlePart::input(const SDL_Event& event)
{
  if( event.type == SDL_KEYDOWN )
  {
    switch( event.key.keysym.sym )
    {
      case SDLK_ESCAPE:
        return -1;
        break;
      case SDLK_SPACE:
      case SDLK_RETURN:
        switch (state->intstate)
        {
          case 0:
            return 1+global_variables->language;//return 1 if english selected, 2 if spanish selected
            soundengine->play(0);
            soundengine->streamtrack("audio/level6.mp3");
            break;
          case 1:
            return -1;
            break;
        }
        break;
      case SDLK_UP:
        state->intstate=(state->intstate+1)%2;
        soundengine->play(0);
        break;
      case SDLK_DOWN:
        state->intstate=(state->intstate+1)%2;
        soundengine->play(0);
      break;/*
      case SDLK_q:
        rotatex+=5;
        break;
      case SDLK_w:
        rotatey+=5;
        break;
      case SDLK_e:
        rotatez+=5;
        break;
      case SDLK_a:
        rotatex-=5;
        break;
      case SDLK_s:
        rotatey-=5;
        break;
      case SDLK_d:
        rotatez-=5;
        break;
      case SDLK_p:
        std::cout<<rotatex<<","<<rotatey<<","<<rotatez<<endl;*/
     default:
      break;
    }
  }

  return 0;
}

int TitlePart::logic()
{
  return 0;
}

void TitlePart::draw()
{
  glLoadIdentity();
  glRotatef(rotatex,1,0,0);
  glRotatef(rotatey,0,1,0);
  glRotatef(rotatez,0,0,1);
  glScalef(0.04,0.04,0.04);

  slide=(slide+39)%40;
  graphicsengine->fontrenderer->glPrint(-140,slide+ 260, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide+ 220, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide+ 180, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide+ 140, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide+ 100, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide+ 60, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide+ 20, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide -20, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide -60, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide -100, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide -140, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide -180, "kiss me",0.4f);
  graphicsengine->fontrenderer->glPrint(-140,slide -220, "kiss me",0.4f);

  if (state->intstate==0)
  {
    graphicsengine->fontrenderer->glPrint(10, 10, "start",0.5f);
    graphicsengine->fontrenderer->glPrint(20, -30, "quit",0.4f);
  }
  else
  {
    graphicsengine->fontrenderer->glPrint(20, 10, "start",0.4f);
    graphicsengine->fontrenderer->glPrint(10, -30, "quit",0.5f);
  }

   graphicsengine->tiles->drawTile(0,15,10);
   graphicsengine->tiles->drawTile(8,15,10);
   graphicsengine->tiles->drawTile(16,15,10);

   graphicsengine->tiles->drawTile(0,-14,10);
   graphicsengine->tiles->drawTile(8,-14,10);
   graphicsengine->tiles->drawTile(16,-14,10);

//  graphicsengine->fontrenderer->drawTile(10,10,2);

}
